Bug 998264 - After yum update, F18 does not resume anymore when I open (the lid of) my laptop.
After yum update, F18 does not resume anymore when I open (the lid of) my lap...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 13:50 EDT by ericjvandervelden
Modified: 2017-03-06 13:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:16:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ericjvandervelden 2013-08-18 13:50:55 EDT
Description of problem: After yum update, F18 does not resume anymore when I open my laptop. It seems that when I close the laptop all applications have been closed.


Version-Release number of selected component (if applicable): F18


How reproducible:


Steps to Reproduce:
1. close laptop 
2. open laptop
3.

Actual results: all applications are closed.


Expected results: all applications are still there, as usual.


Additional info: I updated F18 august 18th.
Comment 1 Josh Boyer 2013-08-19 11:31:40 EDT
What kernel version, what kind of laptop?
Comment 2 ericjvandervelden 2013-08-19 15:12:43 EDT
Dear Josh,

When I do, I see

$ ps ajx --width 2000
    1   590   590   590 ?           -1 Ss       0   0:00 /usr/bin/abrt-watch-log -F BUG: WARNING: at INFO: possible recursive locking detected ernel BUG at list_del corruption list_add corruption do_IRQ: stack overflow: ear stack overflow (cur: eneral protection fault nable to handle kernel ouble fault: RTNL: assertion failed eek! page_mapcount(page) went negative! adness at NETDEV WATCHDOG ysctl table check failed : nobody cared IRQ handler type mismatch Machine Check Exception divide error: bounds: coprocessor segment overrun: invalid TSS: segment not present: invalid opcode: alignment check: stack segment: fpu exception: simd exception: iret exception: /var/log/messages -- /usr/bin/abrt-dump-oops -xD

When I do, I see

[eric@localhost ~]$ yum list installed \*kernel\*
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
abrt-addon-kerneloops.x86_64                 2.1.5-1.fc18               @updates
kernel.x86_64                                3.9.11-200.fc18            @updates
kernel.x86_64                                3.10.6-100.fc18            @updates
kernel.x86_64                                3.10.7-100.fc18            @updates
kernel-headers.x86_64                        3.10.7-100.fc18            @updates
kernel-modules-extra.x86_64                  3.9.11-200.fc18            @updates
kernel-modules-extra.x86_64                  3.10.6-100.fc18            @updates
kernel-modules-extra.x86_64                  3.10.7-100.fc18            @updates
libreport-plugin-kerneloops.x86_64           2.1.5-1.fc18               @updates

I have an ASUS K53S.

Also I have (but maybe I already had it before the resume started to fail),

gnome-settings-daemon crashed
process /usr/libexec/gnome-settings-daemon was killed by signal 5 (SIGTRAP)
version gnome-settings-daemon-3.6.4-3fc18.

Also when I have a terminal open, close the laptop and open it again, I see on my desktop next to Activities, Terminal. When I leave gnome and look on the command line, gnome-terminal still runs. But the terminal is not to be seen on my desktop. 

Well, I hope you can help me. 

Thanks,

Eric J.
Comment 3 ericjvandervelden 2013-09-25 16:42:53 EDT
When I do Fn+F1, my laptop resumes again. But when I close and open the lid, it does not. Applications are closed or do not appear on the desktop. So closing the lid probably does not suspend correctly.
Comment 4 Justin M. Forbes 2013-10-18 17:20:52 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2013-11-27 11:16:11 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 6 ericjvandervelden 2017-03-06 13:40:10 EST
I found a workaround. Please close this ticket. Thanks.

Note You need to log in before you can comment on or make changes to this bug.